<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.FB ID="0">
    <AttributeList>
      <AutoNumber>false</AutoNumber>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input">
    <Member Name="Impuls" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Zähl-Impuls</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Vorbei_1" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="de-DE">BM ist an Sensor vorbeigefahren</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Vorbei_2" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="de-DE">BM ist an Sensor vorbeigefahren</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Vorbei_3" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="de-DE">BM ist an Sensor vorbeigefahren</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Vorbei_4" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="de-DE">BM ist an Sensor vorbeigefahren</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Vorbei_5" Datatype="Bool">
      <AttributeList>
        <BooleanAttribute Name="ExternalWritable" SystemDefined="true">false</BooleanAttribute>
      </AttributeList>
      <Comment>
        <MultiLanguageText Lang="de-DE">BM ist an Sensor vorbeigefahren</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Inks_Vorbei_1" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Rest-Inks für diese Position</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Inks_Vorbei_2" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Rest-Inks für diese Position</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Inks_Vorbei_3" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Rest-Inks für diese Position</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Inks_Vorbei_4" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Rest-Inks für diese Position</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Inks_Vorbei_5" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Rest-Inks für diese Position</MultiLanguageText>
      </Comment>
    </Member>
  </Section>
  <Section Name="Output" />
  <Section Name="InOut">
    <Member Name="Antrieb_ein" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Antrieb einschalten</MultiLanguageText>
      </Comment>
    </Member>
  </Section>
  <Section Name="Static">
    <Member Name="Dyn" Datatype="Struct">
      <Member Name="Rest_Inks" Datatype="Int">
        <Comment>
          <MultiLanguageText Lang="de-DE">BM noch unterwegs [Inks]</MultiLanguageText>
        </Comment>
        <StartValue>1</StartValue>
      </Member>
    </Member>
  </Section>
  <Section Name="Temp">
    <Member Name="tAktiv" Datatype="Int" />
  </Section>
  <Section Name="Constant" />
</Sections></Interface>
      <MemoryLayout>Standard</MemoryLayout>
      <Name>MAusfahrFreigabe_neu</Name>
      <Namespace />
      <Number>182</Number>
      <ProgrammingLanguage>STL</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <SW.Blocks.CompileUnit ID="5" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="24">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Inks_Vorbei_5" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="26">
    <StlToken Text="A" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Vorbei_5" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="28">
    <StlToken Text="JC" />
    <Access Scope="Label">
      <Label Name="Chek" />
    </Access>
  </StlStatement>
  <StlStatement UId="23">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Inks_Vorbei_4" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="22">
    <StlToken Text="A" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Vorbei_4" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="34">
    <StlToken Text="JC" />
    <Access Scope="Label">
      <Label Name="Chek" />
    </Access>
  </StlStatement>
  <StlStatement UId="33">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Inks_Vorbei_3" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="32">
    <StlToken Text="A" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Vorbei_3" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="40">
    <StlToken Text="JC" />
    <Access Scope="Label">
      <Label Name="Chek" />
    </Access>
  </StlStatement>
  <StlStatement UId="42">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Inks_Vorbei_2" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="39">
    <StlToken Text="A" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Vorbei_2" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="46">
    <StlToken Text="JC" />
    <Access Scope="Label">
      <Label Name="Chek" />
    </Access>
  </StlStatement>
  <StlStatement UId="49">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Inks_Vorbei_1" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="48">
    <StlToken Text="A" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Vorbei_1" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="52">
    <StlToken Text="JC" />
    <Access Scope="Label">
      <Label Name="Chek" />
    </Access>
  </StlStatement>
  <StlStatement UId="54">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="55">
    <StlToken Text="JU" />
    <Access Scope="Label">
      <Label Name="En02" />
    </Access>
  </StlStatement>
  <StlStatement UId="57">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="58">
    <LabelDeclaration>
      <Label Name="Chek" />
    </LabelDeclaration>
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Dyn" />
        <Component Name="Rest_Inks" />
      </Symbol>
      <LineComment>
        <Text>Neuer Wert kleiner?</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="68">
    <StlToken Text="LT_I" />
    <LineComment>
      <Text>Ja !</Text>
    </LineComment>
  </StlStatement>
  <StlStatement UId="70">
    <StlToken Text="JC" />
    <Access Scope="Label">
      <Label Name="En02" />
      <LineComment>
        <Text>Ohne Speicherung weiter</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="73">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="74">
    <StlToken Text="CAC" />
    <LineComment>
      <Text>Neuen Wert übernehmen</Text>
    </LineComment>
  </StlStatement>
  <StlStatement UId="76">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Dyn" />
        <Component Name="Rest_Inks" />
      </Symbol>
      <LineComment>
        <Text>Wert speichern</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="99">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="100">
    <LabelDeclaration>
      <Label Name="En02" />
    </LabelDeclaration>
    <StlToken Text="NOP_0" />
  </StlStatement>
  <StlStatement UId="102">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="6" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="7" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="8" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="9" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="A" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="B" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="C" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Vorbei-Sensoren auswerten</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="D" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="E" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="21">
    <StlToken Text="AN" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Impuls" />
      </Symbol>
      <LineComment>
        <Text>Von MImpulsGeber</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="29">
    <StlToken Text="JC" />
    <Access Scope="Label">
      <Label Name="En04" />
    </Access>
  </StlStatement>
  <StlStatement UId="30">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="481">
    <LineComment>
      <Text>BT ist unterwegs:</Text>
    </LineComment>
    <StlToken Text="COMMENT" />
  </StlStatement>
  <StlStatement UId="483">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Dyn" />
        <Component Name="Rest_Inks" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="485">
    <StlToken Text="ADD" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>-1</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="488">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Dyn" />
        <Component Name="Rest_Inks" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="490">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="491">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>0</ConstantValue>
      </Constant>
      <LineComment>
        <Text>Minimum erreicht?</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="494">
    <StlToken Text="GT_I" />
    <LineComment>
      <Text>Nein !</Text>
    </LineComment>
  </StlStatement>
  <StlStatement UId="496">
    <StlToken Text="JC" />
    <Access Scope="Label">
      <Label Name="En04" />
    </Access>
  </StlStatement>
  <StlStatement UId="32">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="498">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>1</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="499">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Dyn" />
        <Component Name="Rest_Inks" />
      </Symbol>
      <LineComment>
        <Text>Minimum übergeben</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="502">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="530">
    <LabelDeclaration>
      <Label Name="En04" />
    </LabelDeclaration>
    <StlToken Text="NOP_0" />
  </StlStatement>
  <StlStatement UId="26">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="F" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="10" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="11" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="12" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="13" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="14" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="15" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Rest-Inks verändern</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="16" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="17" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="22">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Dyn" />
        <Component Name="Rest_Inks" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="21">
    <StlToken Text="L" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>1</ConstantValue>
      </Constant>
      <LineComment>
        <Text>vorhanden ?</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="26">
    <StlToken Text="GT_I" />
    <LineComment>
      <Text>Ja !</Text>
    </LineComment>
  </StlStatement>
  <StlStatement UId="27">
    <StlToken Text="S" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Antrieb_ein" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="29">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="18" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="19" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1A" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1B" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="1C" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="1D" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1E" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Antrieb einschalten</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1F" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="20" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="986">
    <StlToken Text="BE" />
  </StlStatement>
  <StlStatement UId="987">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="21" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="22" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="23" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="24" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="25" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="26" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="27" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Ende</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="28" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <MultilingualText ID="29" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="2A" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="2B" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text>Ausfahrfreigabe für Pufferstrecken</Text>
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="2C" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.FB>
</Document>